<?
if (!defined('webid')) {
    exit();
}
if (!(isset($_SESSION["username"]) && isset($_SESSION["password"]))) {
    header("Location: /");
	exit();
}

include_once 'managermenu.php';

$iduser = $_SESSION['iduser'];
$ident = intval($_GET['ident']);

if (isset($_COOKIE['taskview'])) $cstaskview = $_COOKIE['taskview'];
if ($cstaskview == 0) { unset($_COOKIE['taskview']); }

$sql = mysql_query("SELECT * FROM seo_tasks WHERE fromid='$iduser'") or die(mysql_error());
if (mysql_num_rows($sql) == 0) {
	echo "<div class='error' align='center'>У вас ещё нет своих заданий!</div><center><a href='/addtask' class='big_btn'>Разместить задание</a></center> ";
} else {
?>
<script type="text/javascript">
function confirmdelete(idadv) {
    if (confirm("Вы уверены что хотите удалить задание №" + idadv + "?")){
        $.post('ajax.php?func=deltask',{
            id : idadv
        }, function(data){
            if (data == 1){
                FLAX.Html.thread['flax'].repeat();
            } else {
                alert(data);
            }
        });
        return false;
    }
}

function uptask(idadv) {
    $.post('ajax.php?func=viptask',{
        id : idadv
    }, function(data){
        if (data == 1){
            FLAX.Html.thread['flax'].repeat();
        }
    });
    return false;
}

function gofilter(mode) {
    setCookie("taskview",mode,"Mon, 01-Jan-2020 00:00:00 GMT");
    FLAX.Html.thread['flax'].repeat();
    return false;
}
function setCookie (name, value, expires, path, domain, secure) {
    document.cookie = name + "=" + escape(value) +
    ((expires) ? "; expires=" + expires : "") +
    ((path) ? "; path=" + path : "") +
    ((domain) ? "; domain=" + domain : "") +
    ((secure) ? "; secure" : "");
}

function taskok(ident, id) {
    $.post('ajax.php?func=taskpay',{
        tident: ident,
        tid: id
    }, function(data){
        if(data == 1){
            FLAX.Html.thread['flax'].repeat();
        } else {
            alert(data);
        }
    });
    return false
}

function runtask(idtask) {
    $.post('ajax.php?func=runtask',{
        id : idtask
    }, function(data){
        if (data == 1){
            FLAX.Html.thread['flax'].repeat();
        }
    });
    return false;
}

function levelup(idtask) {
    $.post('ajax.php?func=levelup',{
        id : idtask
    }, function(data){
        if (data == 1){
            FLAX.Html.thread['flax'].repeat();
        } else {
            alert(data);
        }
    });
    return false;
}

function paytask(tid, tprice) {
    $.post('addtobask.php?func=task',{
        id: tid,
        price: tprice
    }, function(data){
        if (data == 1){
            alert('Сумма добавлена в корзину');
            FLAX.Html.thread['flax'].repeat();
        } else {
            alert(data);
        }
    });
    return false;
}
</script>
<table class='adv-serf' width='100%' border='0' cellpadding='0' cellspacing='1'>
<thead>
<th colspan="3" style="padding: 5px; background: #ebebeb;" align="left"><span style="color: #212121; font-size: 12px; font-weight: bold; text-shadow: 0 1px 0 #f7f7f7;">Оплачиваемые задания</span></th>
</thead>
<?

while ($row = mysql_fetch_assoc($sql)) {
    $row['balance'] = round($row['balance'], 3);
?>
	 <tr>
    <td class="lt" width="30">
    <a class="serfcontrol-<?
    if ($row['paused'] == 1 and $row['modered'] == 0) { echo "moder"; $tt="Ожидает модерации"; $pt="<span class=desctext>Задание<br>на<br>проверке</span>";
    } elseif ($row['paused'] == 0 and $row['modered'] == 0) { echo "moder"; $tt="Ожидает модерации"; $pt="<span class=desctext>Задание<br>на<br>проверке</span>";
    } elseif ($row['paused'] == 1 and $row['modered'] == 2) { echo "block"; $tt="Задание заблокировано!"; $pt="<span class=desctext>Заблокирована<br>администрацией</span>";
    } elseif ($row['paused'] == 0 and $row['modered'] == 2) { echo "block"; $tt="Задание заблокировано!";$pt="<span class=desctext>Заблокирована<br>администрацией</span>";
    } elseif ($row['paused'] == 0 and $row['modered'] == 1) { echo "pause"; $tt="Приостановить задание"; $href="#";
    } elseif ($row['paused'] == 1 and $row['modered'] == 1) { echo "play"; $tt="Запустить задание";$href="#";
    } ?>" title="<?=$tt ?>" <? if($row['balance'] == 0) { ?>onclick='alertbudget();'<? }else{ if($row['modered'] == 1) { ?>href='<?=$href ?>'<? } } ?> onclick="runtask(<?=$row['id']?>)"></a>
    </td>
    <td class="lt"><a href="<?=$row['url'] ?>" target="_blank"><?=$row['name'] ?><br /></a>
    <a class="workstatus-yes" href="#" title="Всего одобрено"><?=$row['goods'];  ?>
	</a>
	<a class="workstatus-wait" href="#" title="Сейчас выполняются">
	<?=$row['works']; ?></a>
	<a class="workstatus-wait" href="#" title="Ожидают проверки вами">
	<?=$row['waits']; ?></a>
	<a class="workstatus-no" href="#" title="Всего отклонено"><?=$row['no']; ?></a>
	<?if ($row['waits'] == 0)
	{
	?><span style="color: #cccccc;">Выполнений нет</span>
	<?
	}else{
	?>
	<a href="#" onclick="gofilter(<?=$row['id']?>)" >Проверьте выполнения! <b>[<?=$row['waits'] ?>]</b></a>
	<?
	}
	?><br />
    <span class='serfinfotext'>№ <?=$row['id'] ?>&nbsp;&nbsp;Цена: <?=$row['price'] ?> <?=$sitevalname ?>&nbsp;&nbsp;Вознаграждение: <?=round($row['price']*5/6,2); ?> <?=$sitevalname ?>&nbsp;&nbsp;</span>
    <? if ($row['waits'] == 0 or $row['works'] == 0)
	 {
	 ?><a class='scon-delete' href='#' title='Удалить ссылку' onclick="confirmdelete(<?=$row['id'] ?>);"></a>
	 <?
	 }
	 ?>
     <a class="scon-balance" href="#" title="Перевести средства на другую площадку" onclick="hideserfaddblock('bal<?=$row['id'] ?>');"></a>
     <a class='scon-edit' href='/addtask/edit=<?=$row['id'] ?>' title='Редактировать задание'></a>
	 <?
     if ($row['balance'] > $row['price'] and $row['paused'] == 0) {
        ?>
        <a href="#" onclick="levelup(<?=$row['id']; ?>)" title="Поднять задание - 0.25 <?=$sitevalname?><br />Один раз в сутки" class="taskup"><span title="Размещение задания в V.I.P блоке - недоступно"></span></a>
        <?
     }
	 if ($row['balance'] == 0 and $row['inblock'] == 0)
	 {
	 ?><span class="scon-gray" title="Размещение задания в V.I.P блоке - недоступно"></span>
	 <?
	 }
	 if ($row['balance'] > 0 and $row['inblock'] != 0)
	 {
	 ?><span class="scon-down" title="Задание размещено в V.I.P блоке до <?=date("d.m.y H:i", $row['inblock']); ?>" ></span>
	<?
	}
	if ($row['balance'] > 3 + $row['price'] and $row['inblock'] == 0)
	{
	?><span class="scon-up" title="Разместить задание в V.I.P блоке" onclick="hideserfaddblock('taskup<?=$row['id']; ?>');"></span>
	<?
	}
	if ($row['comms'] > 0){
	?>
	<a class="scon-comment" href="/tasks/feed=<?=$row['id']; ?>" title="Прочитать отзывы о задании"></a>
	 <? } ?>
     </td>
    <td class="budget" width="80" align="center" style="padding: 0 5px;">
    <? if ($row['modered'] == 1) { if ($row['balance'] <= 0) { ?>
    <a class="add-budgetnone" href="#" title="Пополнить рекламный бюджет" onclick="hideserfaddblock('serfadd<?=$row['id'] ?>');"><span style="font-size: 11px;">Пополнить</span></a>
    <? } else {
    ?>
	<a class="add-budget" href="#" title="Пополнить рекламный бюджет" onclick="hideserfaddblock('serfadd<?=$row['id'] ?>');"><span style="font-size: 11px;"><?=$row['balance']; ?></span></a><?
	}
    } else { echo "<span style='font-size:11px;'>$pt</span>"; } ?></td></tr>
	<tr id="serfadd<?=$row['id'] ?>" style="display: none;">
	<td style="background: #ebebeb; padding: 5px;" align="right" class="lt" colspan="3">
    <span>Укажите сумму (Минимум 5 рублей)</span>&nbsp;&nbsp;&nbsp;<input type="text" id="price<?=$row['id']?>" value="5" class="val" style="width: 40px; text-align: center;" />&nbsp;&nbsp;&nbsp;<a class="big_btn" href="#" onclick="paytask(<?=$row['id']?>, $('#price<?=$row['id']?>').val())">Оплатить</a>
	</td></tr>
    <tr id="taskup<?=$row['id']; ?>" style="display: none;"><td colspan="3" style="text-align: center; padding: 2px 10px;">Задание будет размещено в «V.I.P» блоке сроком на 24 часа.<br />Стоимость размещения составляет 0.75 <?=$sitevalname ?><br /><a href="#" onclick="uptask(<?=$row['id']; ?>)">Разместить задание в «V.I.P» блоке</a></td>
    </tr>
    <tr id="bal<?=$row['id'] ?>" style="display: none;">
        <td colspan="3" align="center" class="lt" style="background: #ebebeb; padding: 5px;">
        ID&nbsp;&nbsp;<input type="text" id="idserf<?=$row['id'] ?>" class="val" size="5" />&nbsp;&nbsp;&nbsp;<select id="serf<?=$row['id'] ?>" class="techno" style="width: auto;"><option value="1">Динамические ссылки</option><option value="2">Платные письма</option><option value="3">Задания</option><option value="4">Контекстная реклама</option><option value="8">Цепочка</option><option value="5">Баннер 468х60</option><option value="6">Баннер 100х100</option><option value="7">Баннер 200х200</option></select>&nbsp;&nbsp;&nbsp;Сумма&nbsp;&nbsp;<input type="text" id="money<?=$row['id'] ?>" class="val" size="10" />&nbsp;&nbsp;&nbsp;<a href="#" class="big_btn" onclick="sendbalance(<?=$row['id'] ?>, 'task', $('#money<?=$row['id'] ?>').val(), $('#serf<?=$row['id'] ?>').val(), $('#idserf<?=$row['id'] ?>').val())">Перевести</a>
        </td>
    </tr>
	<?
    if ($cstaskview == $row['id']) {
        ?>
        <tr><td colspan="3"  style="background: #ebebeb;">
        <?
        $sql = mysql_query("SELECT * FROM seo_taskstats WHERE status='0' and ident='" . $row['id'] . "' and ident IN(SELECT id FROM seo_tasks WHERE fromid='" . $_SESSION['iduser'] . "')") or die(mysql_error());
    
    if (mysql_num_rows($sql) == 0) {
        $cstaskview = 0;
    }
    while ($row = mysql_fetch_assoc($sql)) {
        $res = mysql_fetch_assoc(mysql_query("SELECT id, username, avatar, taskreyt FROM tb_users WHERE id = '" . $row['fromid'] . "'"));
        ?>
        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="tabview">
        <tr>
            <td width="80" align="center" valign="top" style="background: #fafafa; padding-top: 5px;"><img src="avp/<?=$res['avatar']?>" width="60" height="60" class="avatar" /><br />Репутация<br />
            <? if ($res['taskreyt'] > 0) {
                ?><span class='textgreen'>+<?=$res['taskreyt']; ?></span><? } else 
            if ($res['taskreyt'] == 0) { 
                ?><span class='textgray'><?=$res['taskreyt']; ?></span><? } else 
            if ($res['taskreyt'] < 0) {
                ?><span class='textred'><?=$res['taskreyt']; ?></span><? }?>
            </td>
            <td style="background: #fafafa;" valign="top"><div><a href="/mail/new<?=$res['id']?>"><img src="theme/img/mail/mail.png" width="16" height="12" border="0" align="absmiddle" /></a>&nbsp;&nbsp;<font color="#286286"><b>Исполнитель:</b></font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?=$res['username']?> ID:<?=$res['id']?></div><div><font color="#286286">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>Начало выполнения:</b></font>&nbsp;&nbsp;&nbsp;<?=date("d.m.Y H:i", $row['starttime']); ?></div><div><font color="#286286">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>Дата отчёта:</b></font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?=date("d.m.Y H:i", $row['anstime']); ?></div><div style="color: #cccccc;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;До автоматического одобрения осталось
            <?
            $timer = $row['anstime'] + 86400 * 3;
            $t = intval($timer-time());
            ?>
            <script type="text/javascript">
            var limit<?=$row['id']?> = <?=$t?>; // в секундах
            var settime<?=$row['id']?>;
            clearTimeout(settime<?=$row['id']?>);
            function processTimer<?=$row['id']?>(){
                if (limit<?=$row['id']?> > 0) {
                    settime<?=$row['id']?> = setTimeout("processTimer<?=$row['id']?>()",1000);
                    limit<?=$row['id']?>--;
                } else {
                    FLAX.Html.thread['flax'].repeat();
                }
                
                var limit_hou = Math.floor(limit<?=$row['id']?> / 3600); // час
                if (limit_hou < 10) limit_hou = '0'+limit_hou;
                var limit_div = Math.floor(limit<?=$row['id']?> / 60)%60; // минуты
                if (limit_div < 10) limit_div = '0'+limit_div;
                var limit_mod = Math.floor(limit<?=$row['id']?> % 60); // секунды 
                if (limit_mod < 10) limit_mod = '0'+limit_mod;
                
                // вывод времени
                el_timer = document.getElementById("timer<?=$row['id']?>");
                if (el_timer) el_timer.innerHTML = limit_hou+':'+limit_div+":"+limit_mod;
            }
            processTimer<?=$row['id']?>();
            </script>
            <span id="timer<?=$row['id']?>"></span></div>
            <div class="answer"><?=$row['answer']; ?></div>
            <script type="text/javascript">
            function taskno(ident, id) {
                $.post('ajax.php?func=tasknopay',{
                    tident: ident,
                    tid: id,
                    reason: $('#txt<?=$row['id']?>').val()
                }, function(data){
                    if(data == 1){
                        FLAX.Html.thread['flax'].repeat();
                    } else {
                        alert(data);
                    }
                });
                return false
            }
            
            function dorob(ident, id) {
                $.post('ajax.php?func=taskrev',{
                    tident: ident,
                    tid: id,
                    reason: $('#txts<?=$row['id']?>').val()
                }, function(data){
                    if(data == 1){
                        FLAX.Html.thread['flax'].repeat();
                    } else {
                        alert(data);
                    }
                });
                return false
            }
            </script>
            <div id="otkas<?=$row['id']?>" style="display: none; margin-left: 18px;">Причина отказа:&nbsp;<input type="text" class="val" size="40" id="txt<?=$row['id']?>" />&nbsp;&nbsp;<a href="#" onclick="taskno(<?=$row['ident']?>, <?=$row['id']?>)">Отправить</a></div>
            <div id="dor<?=$row['id']?>" style="display: none; margin-left: 18px;">Причина:&nbsp;<input type="text" class="val" size="40" id="txts<?=$row['id']?>" />&nbsp;&nbsp;<a href="#"  onclick="dorob(<?=$row['ident']?>, <?=$row['id']?>)">Отправить</a></div>
            <div align="right" style="padding-right: 5px;"><a href="#" onclick="taskok(<?=$row['ident']?>, <?=$row['id']?>)">Принять</a>&nbsp;|&nbsp;<a href="#" onclick="hideserfaddblock('otkas<?=$row['id']?>')">Отклонить</a>&nbsp;|&nbsp;<a href="#"onclick="hideserfaddblock('dor<?=$row['id']?>')">На доработку</a></div></td>
        </tr>
        </table>
        <?
    }
    ?>
    <div align="center" style="margin: 5px 0;"><a href="#" class="big_btn" onclick="javascript:gofilter(0);">Вернуться</a></div></td>
    </tr>
    <?
    }
	}
	?>
	</table><br />
    <center><a href='/addtask' class='big_btn'>Разместить задание</a></center>
    <?}?>